FAXSTATE(8)

NAME
faxstate - control ``modem state'' of a device used by HylaFAX

SYNOPSIS
/usr/sbin/faxstate [ -q queue-dir ] [ -s state ] [ -n ] modem

DESCRIPTION
faxstate sends a message to the HylaFAX faxgetty(8) process servicing modem telling it to use the specified state when notifying the HylaFAX scheduler that a modem is ready and available for use. This is useful for controlling outbound use of a modem; by marking a modem's state as busy or down the HylaFAX scheduler will not assign any outbound jobs to the modem.

The specified modem can either be the name (typically the last component of the terminal port the modem is attached to), or the full name of the associated FIFO named pipe file, e.g. ``FIFO.ttym2''.

If the -n option, faxstate emulates what faxgetty would do; sending a message directly to the faxq process marking the specified modem down, busy, or ready. This interface is useful for send-only environments in which faxgetty processes are not used. Note that modems manipulated in this way must previously have been configured with the faxmodem(8) program.

OPTIONS
The following options are supported:

-n  Contact faxq directly instead of faxgetty.

-q dir
    Use a spooling area other than /var/spool/hylafax.

-s  Specify the state to send the faxq process each time the modem becomes ready for use; one of ``busy'', ``down'', and ``ready''. The default state to use is ready.

FILES
Consult hylafax-server(5) for a complete discussion of the structure and content of the spooling area.

SEE ALSO
hylafax-server(5), faxgetty(8)